Skip to main content
`Ctrl`+`K`

# TSGetSNESIterations

Gets the total number of nonlinear iterations used by the time integrator.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetSNESIterations(TS ts, PetscInt *nits)

Not Collective

## Input Parameter

- ts - `TS` context

## Output Parameter

- nits - number of nonlinear iterations

## Note

This counter is reset to zero for each successive call to `TSSolve()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSGetKSPIterations()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex24.c
src/ts/tutorials/ex8.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages